"""
 * @file
 * @author  Tommi Kerola <kerola@student.chalmers.se>
 * @author  Linus Hermansson <hlinus@student.chalmers.se>
 * @version 1.0
 *
 * @section LICENSE
 *
 * Copyright [2013] [Tommi Kerola, Linus Hermansson]
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an "AS
 *  IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 *  express or implied.  See the License for the specific language
 *  governing permissions and limitations under the License.
 *
"""



#!/usr/bin/python

import random
import sys

if len(sys.argv) != 3:
    print "usage: genGraph.py numNodes numEdges"
    sys.exit()


def f(N):
    l = random.sample(range(N), 2)
    return "{} {}".format(l[0], l[1]);

def printAll(N, E):
    for x in set([f(N) for i in range(E)]):
        print x

N = int(sys.argv[1])
E = int(sys.argv[2])

printAll(N,E)
